EDIT - bug #9475

NameTypeDesignations for existing names in other nom acts can not be created
02/24/2021 05:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

this is a regression caused by the changes made for #9324

To reproduce
e in registration workingset editor: "existing name" (name must not have registration nom act as nom ref)
e save/confirm name
e add new name type designation

* save
e ===> the registration is lost, since the designation reference was not added

Related issues:
Related to EDIT - feature request #9324: Enable designation reference editing... Closed
Copied to EDIT - bug #9476: SpecimenTypeDesignations for existing names in ot... Closed

Associated revisions

Revision bd6037c5 - 02/24/2021 05:53 PM - Andreas Kohlbecker
ref #9475 fixing problems caused by implementation for #9324 - changing NameTypeDesignationWorkingsetlds strategy again

Revision 245b2535 - 02/25/2021 10:36 AM - Andreas Kohlbecker
ref #9475 fixing problems caused by implementation for #9324 - changing NameTypeDesignationWorkingsetlds strategy again - cdmlib part

Revision 3776382f - 02/25/2021 05:15 PM - Andreas Kohlbecker

ref #9475 fixing NameTypeDesignations for existing names in other nom acts can not be created

History

#1 - 02/24/2021 06:07 PM - Andreas Kohlbecker

- Subject changed from NameTypeDesignations for names in other nom acts can not be created to NameTypeDesignations for existing names in other
nom acts can not be created

- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 50

#2 - 02/24/2021 06:08 PM - Andreas Kohlbecker

- Copied to bug #9476: SpecimenTypeDesignations for existing names in other nom acts can not be created added

#3 - 02/24/2021 06:08 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#4 - 02/26/2021 03:42 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review
https://dev.e-taxonomy.eu/redmine/issues/9324

#5 - 02/26/2021 06:23 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

existing genus name selected, fine.

Name type designation editor opened, fine.

Type selected, fine.

Species name selected, fine.

Save -> Name Type designation is not saved! (Two times).

For selection of the typifying authors or section authors there is no field available. Was that planned?
#6 - 03/01/2021 04:06 PM - Andreas Kohlbecker

- File picture397-1.png added

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| cant see any problem.

Here you can see me choosing the section (non sense data) of the typifying authors:

Name type designation editor

registration New name type designation

Conserved type Rejected type Notdesighated

Type status

lectotype

IV ERETE

Abas nonsensia var impossibilis

Typified names

Designation reference Reference detail

stpub in lllustrierete fiir Pfitzenkunde

Abarca, N. & Jahn, R. in testpub in llustrierete fir Pfitzenkunde

testpubin lllustrierete fiir Pfitzenkunde

Save % Cancel

The typifcation is saved afterwards.
| would need some more details to reproduce this problem if it still persists.

#7 - 03/01/2021 06:20 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

The name type section works for new genera names as well as for expisting names as expected.
The recorded error was may be a follow-up error of a different issue. The ticket can be closed.

#8 - 03/02/2021 02:15 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#9 - 01/23/2024 05:30 PM - Andreas Miiller

- Related to feature request #9324: Enable designation reference editing in name type designation added

Files
picture397-1.png 63.3 KB 03/01/2021 Andreas Kohlbecker
